package StackArrayList;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Implement Stack<E> by adding the push, pop, and isEmpty functions.  It must pass the prewritten unit tests.
 * If you pop on an empty stack, throw an IndexOutOfBoundsException.
 */
public class Stack<E> {
    private ArrayList<E> elements = new ArrayList();


    public Stack(){

    }

    public Stack(E[] elements){
        for(E element: elements){
            this.elements.add(element);
        }
    }

    public void push(E foo) {
        elements.add(foo);
    }

    public E pop() {
        if(isEmpty()){
            throw new IndexOutOfBoundsException();
        }
            Object itemToRemove = elements.get(elements.size() - 1);
            elements.remove(elements.get(elements.size() - 1));
            return (E) itemToRemove;

    }

    public boolean isEmpty() {
        return (elements.size() == 0);
    }
}
