package StackArray;

import java.util.Arrays;
import java.util.Stack;

/**
 * Expand the ArrayList implementation of stack here to use an Object[] array.  Still implement push, pop, and isEmpty.
 * Remember, you might need to resize the stack in the push method.
 * @param <E>
 */
public class ObjectStack<E> {
    private Object[] elements = new Object[0];

    public ObjectStack() {

    }

    public boolean isEmpty() {
            return (elements.length==0);
    }

    public void push(E foobar) {
        elements =  Arrays.copyOf(elements, elements.length+1);
        elements[elements.length-1] = foobar;
    }

    public E pop() {
        if(isEmpty()){
            throw new IndexOutOfBoundsException();
        }
            Object element = elements[elements.length - 1];
            elements = Arrays.copyOf(elements, elements.length - 1);
            return (E) element;
    }
}
